"use strict";
const provider_1 = require("../src/provider");
module.exports = (0, provider_1.defineCpkProvider)(() => {
    return {
        name: "coingecko.com",
        coinsSupported: "any",
        currenciesSupported: [
            "btc",
            "eth",
            "ltc",
            "bch",
            "bnb",
            "eos",
            "xrp",
            "xlm",
            "link",
            "dot",
            "yfi",
            "usd",
            "aed",
            "ars",
            "aud",
            "bdt",
            "bhd",
            "bmd",
            "brl",
            "cad",
            "chf",
            "clp",
            "cny",
            "czk",
            "dkk",
            "eur",
            "gbp",
            "hkd",
            "huf",
            "idr",
            "ils",
            "inr",
            "jpy",
            "krw",
            "kwd",
            "lkr",
            "mmk",
            "mxn",
            "myr",
            "ngn",
            "nok",
            "nzd",
            "php",
            "pkr",
            "pln",
            "rub",
            "sar",
            "sek",
            "sgd",
            "thb",
            "try",
            "twd",
            "uah",
            "vef",
            "vnd",
            "zar",
            "xdr",
            "xag",
            "xau",
            "bits",
            "sats"
        ].map((c) => c.toUpperCase()),
        async getPrice(coin, currency) {
            return 0;
        },
        async getPrices(pairs) {
            return { "BTC/USD": 0 };
        }
    };
});
